#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PaddedRangesNode {
    #[builder(custom(type = super::RangesNode, convert = Box::new))]
    #[serde(rename = "input")]
    input: Box<super::RangesNode>,
    #[builder(
        custom(type = super::super::super::super::run::api::Duration, convert = Box::new)
    )]
    #[serde(rename = "padding")]
    padding: Box<super::super::super::super::run::api::Duration>,
    #[serde(rename = "paddingConfiguration")]
    padding_configuration: super::super::super::api::RangePaddingConfiguration,
}
impl PaddedRangesNode {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        input: super::RangesNode,
        padding: super::super::super::super::run::api::Duration,
        padding_configuration: super::super::super::api::RangePaddingConfiguration,
    ) -> Self {
        Self::builder()
            .input(input)
            .padding(padding)
            .padding_configuration(padding_configuration)
            .build()
    }
    #[inline]
    pub fn input(&self) -> &super::RangesNode {
        &*self.input
    }
    #[inline]
    pub fn padding(&self) -> &super::super::super::super::run::api::Duration {
        &*self.padding
    }
    #[inline]
    pub fn padding_configuration(
        &self,
    ) -> &super::super::super::api::RangePaddingConfiguration {
        &self.padding_configuration
    }
}
